CompanyBelgium

Company details

Get detailed information about a company by its BCE number. The number can be in the format 0123.456.789, 0123456789 or BE0123456789. The response includes NACE activities, establishments and directors.

GET
/api/companies/{id}

Headers

HeaderValueDescription
X-API-Keypk_live_...API key (required)

Parameters

NameTypeDescription
id
required
string (path)Company BCE number (10 digits). Accepted formats: 0123.456.789, 0123456789 or BE0123456789Example: 0202.239.951

Example Request

cURL
# Avec points
curl -X GET "https://companybelgium.be/api/companies/0202.239.951" \
  -H "X-API-Key: pk_live_votre_cle"

# Sans points
curl -X GET "https://companybelgium.be/api/companies/0202239951" \
  -H "X-API-Key: pk_live_votre_cle"

# Avec préfixe BE
curl -X GET "https://companybelgium.be/api/companies/BE0202239951" \
  -H "X-API-Key: pk_live_votre_cle"
JavaScript / Node.js
const enterpriseNumber = '0202.239.951';

const response = await fetch(
  `https://companybelgium.be/api/companies/${enterpriseNumber}`,
  {
    headers: { 'X-API-Key': process.env.API_KEY },
  }
);

const data = await response.json();

if (data.success) {
  const company = data.data;
  console.log(`Nom: ${company.name}`);
  console.log(`Forme juridique: ${company.juridicalForm}`);
  console.log(`Adresse: ${company.address}`);
  console.log(`Activités: ${company.activities?.length || 0}`);
  console.log(`Établissements: ${company.establishments?.length || 0}`);
}
Python
import requests

response = requests.get(
    'https://companybelgium.be/api/companies/0202.239.951',
    headers={'X-API-Key': 'pk_live_votre_cle'}
)
data = response.json()

if data['success']:
    company = data['data']
    print(f"Nom: {company['name']}")
    print(f"Forme juridique: {company.get('juridicalForm', 'N/A')}")
    print(f"Activités NACE:")
    for activity in company.get('activities', []):
        print(f"  - {activity['naceCode']}: {activity['description']}")

Example Response

200 OK
{
  "success": true,
  "data": {
    "enterpriseNumber": "0202.239.951",
    "name": "Proximus SA de droit public",
    "status": "Active",
    "type": "Personne morale",
    "juridicalForm": "SA de droit public",
    "startDate": "01/01/1994",
    "address": "Boulevard du Roi Albert II 27, 1030 Bruxelles",
    "phone": "+32 2 202 41 11",
    "email": "info@proximus.com",
    "website": "https://www.proximus.be",
    "activities": [
      {
        "naceCode": "61.100",
        "description": "Télécommunications par câble",
        "classification": "Activité principale"
      },
      {
        "naceCode": "61.200",
        "description": "Télécommunications sans fil",
        "classification": "Activité secondaire"
      }
    ],
    "establishments": [
      {
        "establishmentNumber": "2.123.456.789",
        "name": "Siège d'exploitation",
        "address": "Boulevard du Roi Albert II 27, 1030 Bruxelles",
        "startDate": "01/01/1994"
      }
    ],
    "functions": [
      {
        "functionType": "Administrateur",
        "person": "Guillaume Boutin",
        "startDate": "01/04/2019"
      }
    ]
  },
  "timestamp": "2026-02-08T12:00:00.000Z",
  "meta": {
    "responseTime": 520
  }
}

Error Codes

400 Bad Request
Invalid BCE number format
400 Bad Request
{
  "success": false,
  "error": "Invalid enterprise number format",
  "timestamp": "2026-02-08T12:00:00.000Z"
}
404 Not Found
Company not found
404 Not Found
{
  "success": false,
  "error": "Company not found",
  "timestamp": "2026-02-08T12:00:00.000Z"
}

Caching

Cache Duration: 1 hour (stale-while-revalidate: 2 hours)

Notes

  • The BCE number is automatically normalized (dots and BE prefix removed).
  • The response includes NACE activities, establishments and functions/directors.
  • Some fields (phone, email, website) may be missing if not filled in the BCE.

Need help?

Our support team is available to help you with API integration.